## ros-melodic-pr2-common 1.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_common)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-pr2-common 1.12.4

=== debian/changelog ===
ros-melodic-pr2-common (1.12.4-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 24 Apr 2019 00:00:00 -0000

ros-melodic-pr2-common (1.12.3-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Sep 2018 00:00:00 -0000

ros-melodic-pr2-common (1.12.2-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 18 Apr 2018 00:00:00 -0000

ros-melodic-pr2-common (1.12.1-1stretch) stretch; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-melodic-pr2-common (1.11.9-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-melodic-pr2-common (1.11.8-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-common (1.11.7-1stretch) stretch; urgency=high

  * Fixed changelogs manually
  * changelog bugs
  * Merge conflicts
  * Updated package.xml
  * Changelogs
  * Changelogs
  * Changelogs
  * Indigo devel commit
  * Changelogs
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

ros-melodic-pr2-common (1.11.5-1stretch) stretch; urgency=high

  * Added indigo-devel
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-common
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/pr2_common
Standards-Version: 3.9.2

Package: ros-melodic-pr2-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-pr2-dashboard-aggregator, ros-melodic-pr2-description, ros-melodic-pr2-machine, ros-melodic-pr2-msgs
Description: URDF description of the robot kinematics and dynamics, 3D models of robot components, information required for gazebo to simulate the PR2, and messages specific to the PR2 such as detailed information about its power board and fingertip pressure sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-common//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pr2-common 1.13.1

=== debian/changelog ===
ros-melodic-pr2-common (1.13.1-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 06 Sep 2022 15:00:00 -0000

ros-melodic-pr2-common (1.13.0-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Aug 2020 15:00:00 -0000

ros-melodic-pr2-common (1.12.4-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Apr 2019 15:00:00 -0000

ros-melodic-pr2-common (1.12.3-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 09 Sep 2018 15:00:00 -0000

ros-melodic-pr2-common (1.12.2-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 17 Apr 2018 15:00:00 -0000

ros-melodic-pr2-common (1.12.1-1bionic) bionic; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-melodic-pr2-common (1.11.9-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-melodic-pr2-common (1.11.8-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-melodic-pr2-common (1.11.7-1bionic) bionic; urgency=high

  * Fixed changelogs manually
  * changelog bugs
  * Merge conflicts
  * Updated package.xml
  * Changelogs
  * Changelogs
  * Changelogs
  * Indigo devel commit
  * Changelogs
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-melodic-pr2-common (1.11.5-1bionic) bionic; urgency=high

  * Added indigo-devel
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-pr2-common
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://ros.org/wiki/pr2_common

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
